[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ln

Calculate logarithm

## Declaration

Source position: mathh.inc line 74

`function ln(`
`d: ValReal`
`):ValReal;`

## Description

Ln returns the natural logarithm of the Real parameter X. X must be positive.

## Errors

An run-time error will occur when X is negative.

## See also

Exp |  | Exponentiate
Power |  | Raise float to integer power

## Example

    Program Example37;

    { Program to demonstrate the Ln function. }

    begin
      Writeln (Ln(1));      { Prints 0 }
      Writeln (Ln(Exp(1))); { Prints 1 }
    end.

Documentation generated on: Feb 26 2014